%define fw_version 5.43

Summary:	KDE Frameworks 5 advanced internationalization framework
Name:		ki18n
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
# Prefer locales from /usr/share/locale/kf5 if they exist
Patch0:		ki18n-5.38.0-localepath.patch
# Try translations from mandriva-kde-translation as fallback
Patch1:		ki18n-5.9.0-extra-catalog.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
Requires:	mandriva-kde-translation
Obsoletes:	kde5-l10n-ar < 3:17.04
Obsoletes:	kde5-l10n-bg < 3:17.04
Obsoletes:	kde5-l10n-bs < 3:17.04
Obsoletes:	kde5-l10n-ca < 3:17.04
Obsoletes:	kde5-l10n-cs < 3:17.04
Obsoletes:	kde5-l10n-da < 3:17.04
Obsoletes:	kde5-l10n-de < 3:17.04
Obsoletes:	kde5-l10n-el < 3:17.04
Obsoletes:	kde5-l10n-en_GB < 3:17.04
Obsoletes:	kde5-l10n-en_US < 3:17.04
Obsoletes:	kde5-l10n-es < 3:17.04
Obsoletes:	kde5-l10n-et < 3:17.04
Obsoletes:	kde5-l10n-eu < 3:17.04
Obsoletes:	kde5-l10n-fa < 3:17.04
Obsoletes:	kde5-l10n-fi < 3:17.04
Obsoletes:	kde5-l10n-fr < 3:17.04
Obsoletes:	kde5-l10n-ga < 3:17.04
Obsoletes:	kde5-l10n-gl < 3:17.04
Obsoletes:	kde5-l10n-he < 3:17.04
Obsoletes:	kde5-l10n-hi < 3:17.04
Obsoletes:	kde5-l10n-hr < 3:17.04
Obsoletes:	kde5-l10n-hu < 3:17.04
Obsoletes:	kde5-l10n-ia < 3:17.04
Obsoletes:	kde5-l10n-id < 3:17.04
Obsoletes:	kde5-l10n-is < 3:17.04
Obsoletes:	kde5-l10n-it < 3:17.04
Obsoletes:	kde5-l10n-ja < 3:17.04
Obsoletes:	kde5-l10n-kk < 3:17.04
Obsoletes:	kde5-l10n-km < 3:17.04
Obsoletes:	kde5-l10n-ko < 3:17.04
Obsoletes:	kde5-l10n-lt < 3:17.04
Obsoletes:	kde5-l10n-lv < 3:17.04
Obsoletes:	kde5-l10n-nb < 3:17.04
Obsoletes:	kde5-l10n-nd < 3:17.04s
Obsoletes:	kde5-l10n-nl < 3:17.04
Obsoletes:	kde5-l10n-nn < 3:17.04
Obsoletes:	kde5-l10n-pa < 3:17.04
Obsoletes:	kde5-l10n-pl < 3:17.04
Obsoletes:	kde5-l10n-pt < 3:17.04
Obsoletes:	kde5-l10n-pt_BR < 3:17.04
Obsoletes:	kde5-l10n-ro < 3:17.04
Obsoletes:	kde5-l10n-ru < 3:17.04
Obsoletes:	kde5-l10n-sk < 3:17.04
Obsoletes:	kde5-l10n-sl < 3:17.04
Obsoletes:	kde5-l10n-sv < 3:17.04
Obsoletes:	kde5-l10n-tr < 3:17.04
Obsoletes:	kde5-l10n-ug < 3:17.04
Obsoletes:	kde5-l10n-uk < 3:17.04
Obsoletes:	kde5-l10n-wa < 3:17.04
Obsoletes:	kde5-l10n-zh_CN < 3:17.04
Obsoletes:	kde5-l10n-zh_TW < 3:17.04

%description
KDE Frameworks 5 advanced internationalization framework.

KI18n provides functionality for internationalizing user interface text
in applications, based on the GNU Gettext translation system.
It wraps the standard Gettext functionality, so that the programmers
and translators can use the familiar Gettext tools and workflows.

KI18n provides additional functionality as well, for both programmers
and translators, which can help to achieve a higher overall quality
of source and translated text. This includes argument capturing,
customizable markup, and translation scripting.

%files
%{_kde5_plugindir}/ktranscript.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KI18n translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KI18n translations.

%files i18n -f %{name}.lang
%lang(ca) %{_datadir}/locale/ca/LC_SCRIPTS
%lang(ca) %{_datadir}/locale/ca@valencia/LC_SCRIPTS
%lang(fi) %{_datadir}/locale/fi/LC_SCRIPTS
%lang(gd) %{_datadir}/locale/gd/LC_SCRIPTS
%lang(ja) %{_datadir}/locale/ja/LC_SCRIPTS
%lang(ko) %{_datadir}/locale/ko/LC_SCRIPTS
%lang(nb) %{_datadir}/locale/nb/LC_SCRIPTS
%lang(nn) %{_datadir}/locale/nn/LC_SCRIPTS
%lang(ru) %{_datadir}/locale/ru/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@ijekavian/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@ijekavianlatin/LC_SCRIPTS
%lang(sr) %{_datadir}/locale/sr@latin/LC_SCRIPTS
%lang(uk) %{_datadir}/locale/uk/LC_SCRIPTS

#----------------------------------------------------------------------------

%define kf5i18n_major 5
%define libkf5i18n %mklibname kf5i18n %{kf5i18n_major}

%package -n %{libkf5i18n}
Summary:	KDE Frameworks 5 internationalization shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5i18n}
KDE Frameworks 5 internationalization shared library.

%files -n %{libkf5i18n}
%{_kde5_libdir}/libKF5I18n.so.%{kf5i18n_major}*

#----------------------------------------------------------------------------

%define devkf5i18n %mklibname kf5i18n -d

%package -n %{devkf5i18n}
Summary:	Development files for KDE Frameworks 5 internationalization framework
Group:		Development/KDE and Qt
Requires:	%{libkf5i18n} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5i18n-devel = %{version}

%description -n %{devkf5i18n}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5i18n}
%{_kde5_includedir}/KF5/KI18n
%{_kde5_includedir}/KF5/ki18n_version.h
%{_kde5_libdir}/cmake/KF5I18n
%{_kde5_libdir}/libKF5I18n.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (6b11aed) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (f68d40f) Update files
- (Andrey Bondrov: 2e4a057) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (b4df0f7) Update localepath patch, drop merged scripts patch
- (Andrey Bondrov: ec656ba) New version 5.38.0

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-3
- (b8a3bc9) Backport upstream patch to fix localized scripts generation

* Fri Jun 30 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-2
- (342f6be) Obsolete all kde5-l10n packages

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (033a8fa) New version 5.35.0

* Thu May 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (aee173c) Update files (add ja LC_SCRIPTS)
- (Andrey Bondrov: 0456491) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (51012d4) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (5940947) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (cdadace) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (02d4fb5) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (89e580a) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (bc34967) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (df59913) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (35befba) MassBuild#1017: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (7847ad4) Update files (add ca and ca@valencia LC_SCRIPTS)
- (Andrey Bondrov: 347ad73) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (35c17bd) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (60c0136) Update files (add nb and nn LC_SCRIPTS)
- (Andrey Bondrov: 372a184) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (b9ff1a3) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (72a1ff4) Update files (add zh_CN/LC_SCRIPTS to i18n package)
- (Andrey Bondrov: 3369028) Re-diff localepath patch
- (Andrey Bondrov: 2709abe) New version 5.18.0

* Fri Dec 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (7f60f9f) Build requires pkgconfig(Qt5Qml)
- (Andrey Bondrov: c84c42c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (45dc164) Bump release


